## r-cran-rstanarm 2.19.2

=== DESCRIPTION ===
Package: rstanarm
Type: Package
Title: Bayesian Applied Regression Modeling via Stan
Version: 2.19.2
Date: 2019-10-01
Encoding: UTF-8
Authors@R: c(person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = "aut"),
             person("Imad", "Ali", role = "ctb"),
             person("Sam", "Brilleman", role = "ctb"),
             person(given = "Jacqueline Buros", family = "Novik", 
                    role = "ctb", comment = "R/stan_jm.R"),
             person("AstraZeneca", role = "ctb", comment = "R/stan_jm.R"),
             person("Trustees of", "Columbia University", role = "cph"),
             person("Simon", "Wood", role = "cph", comment = "R/stan_gamm4.R"),
             person("R Core", "Deveopment Team", role = "cph", 
                     comment = "R/stan_aov.R"),
             person("Douglas", "Bates", role = "cph", comment = "R/pp_data.R"),
             person("Martin", "Maechler", role = "cph", comment = "R/pp_data.R"),
             person("Ben", "Bolker", role = "cph", comment = "R/pp_data.R"),
             person("Steve", "Walker", role = "cph", comment = "R/pp_data.R"),
             person("Brian", "Ripley", role = "cph", 
                    comment = "R/stan_aov.R, R/stan_polr.R"),
             person("William", "Venables", role = "cph", comment = "R/stan_polr.R"),
             person("Paul-Christian", "Burkner", email = "paul.buerkner@gmail.com",
                    role = "cph", comment = "R/misc.R"),
             person("Ben", "Goodrich", email = "benjamin.goodrich@columbia.edu", 
                    role = c("cre", "aut")))
Description: Estimates previously compiled regression models using the 'rstan'
    package, which provides the R interface to the Stan C++ library for Bayesian
    estimation. Users specify models via the customary R syntax with a formula and
    data.frame plus some additional arguments for priors.
License: GPL (>= 3)
Depends: R (>= 3.4.0), Rcpp (>= 0.12.0), methods
Imports: bayesplot (>= 1.7.0), ggplot2 (>= 2.2.1), lme4 (>= 1.1-8), loo
        (>= 2.1.0), Matrix (>= 1.2-13), nlme (>= 3.1-124), rstan (>=
        2.19.1), rstantools (>= 2.0.0), shinystan (>= 2.3.0), stats,
        survival (>= 2.40.1), utils
Suggests: betareg, data.table (>= 1.10.0), digest, gridExtra, HSAUR3,
        knitr (>= 1.15.1), MASS, mgcv (>= 1.8-13), rmarkdown, roxygen2,
        testthat (>= 1.0.2)
LinkingTo: StanHeaders (>= 2.19.0), rstan (>= 2.19.1), BH (>= 1.66.0),
        Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0)
SystemRequirements: GNU make, pandoc (>= 1.12.3), pandoc-citeproc
VignetteBuilder: knitr
LazyData: true
NeedsCompilation: yes
URL: https://mc-stan.org/rstanarm/, https://discourse.mc-stan.org
BugReports: https://github.com/stan-dev/rstanarm/issues
RoxygenNote: 6.1.1
Packaged: 2019-10-01 20:20:33 UTC; ben
Author: Jonah Gabry [aut],
  Imad Ali [ctb],
  Sam Brilleman [ctb],
  Jacqueline Buros Novik [ctb] (R/stan_jm.R),
  AstraZeneca [ctb] (R/stan_jm.R),
  Trustees of Columbia University [cph],
  Simon Wood [cph] (R/stan_gamm4.R),
  R Core Deveopment Team [cph] (R/stan_aov.R),
  Douglas Bates [cph] (R/pp_data.R),
  Martin Maechler [cph] (R/pp_data.R),
  Ben Bolker [cph] (R/pp_data.R),
  Steve Walker [cph] (R/pp_data.R),
  Brian Ripley [cph] (R/stan_aov.R, R/stan_polr.R),
  William Venables [cph] (R/stan_polr.R),
  Paul-Christian Burkner [cph] (R/misc.R),
  Ben Goodrich [cre, aut]
Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
Repository: CRAN
Date/Publication: 2019-10-03 18:00:02 UTC

=== debian/changelog ===
r-cran-rstanarm (2.19.2-2) unstable; urgency=medium

  * Team upload.
  * Add r-base-dev to test-deps.
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Tue, 11 Feb 2020 07:01:55 +0100

r-cran-rstanarm (2.19.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database.
  * Test-Depends: r-cran-codetools

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 17:58:15 +0200

r-cran-rstanarm (2.18.2-1) unstable; urgency=medium

  * Initial release (closes: #935493)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2019 09:37:14 +0200

=== debian/control ===
Source: r-cran-rstanarm
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.12.0),
               r-cran-bayesplot (>= 1.7.0),
               r-cran-ggplot2 (>= 2.2.1),
               r-cran-lme4,
               r-cran-loo (>= 2.1.0),
               r-cran-matrix (>= 1.2-13),
               r-cran-nlme,
               r-cran-rstan (>= 2.19.1),
               r-cran-rstantools (>= 2.0.0),
               r-cran-shinystan,
               r-cran-survival (>= 2.40.1),
               r-cran-stanheaders (>= 2.19.0),
               r-cran-bh,
               r-cran-rcppeigen (>= 0.3.3.3.0)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstanarm
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstanarm.git
Homepage: https://cran.r-project.org/package=rstanarm

Package: r-cran-rstanarm
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R bayesian applied regression modeling via stan
 Estimates previously compiled regression models using the 'rstan'
 package, which provides the R interface to the Stan C++ library for Bayesian
 estimation. Users specify models via the customary R syntax with a formula and
 data.frame plus some additional arguments for priors.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-stanheaders (>= 2.18.1-10-2), r-cran-bh, r-cran-codetools, r-base-dev
Restrictions: allow-stderr

## r-cran-rstanarm 2.19.3

=== debian/changelog ===
r-cran-rstanarm (2.19.3-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:24:36 +0000

r-cran-rstanarm (2.19.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 15 Apr 2020 14:04:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-rstanarm
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -18,6 +19,7 @@
                r-cran-rstantools (>= 2.0.0),
                r-cran-shinystan,
                r-cran-survival (>= 2.40.1),
+               r-cran-rcppparallel,
                r-cran-stanheaders (>= 2.19.0),
                r-cran-bh,
                r-cran-rcppeigen (>= 0.3.3.3.0)
@@ -25,6 +27,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstanarm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstanarm.git
 Homepage: https://cran.r-project.org/package=rstanarm
+Rules-Requires-Root: no
 
 Package: r-cran-rstanarm
 Architecture: any

## r-cran-rstanarm 2.21.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rstanarm
 Type: Package
 Title: Bayesian Applied Regression Modeling via Stan
-Version: 2.19.2
-Date: 2019-10-01
+Version: 2.21.1
+Date: 2020-07-20
 Encoding: UTF-8
 Authors@R: c(person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = "aut"),
              person("Imad", "Ali", role = "ctb"),
@@ -33,21 +33,22 @@
 Depends: R (>= 3.4.0), Rcpp (>= 0.12.0), methods
 Imports: bayesplot (>= 1.7.0), ggplot2 (>= 2.2.1), lme4 (>= 1.1-8), loo
         (>= 2.1.0), Matrix (>= 1.2-13), nlme (>= 3.1-124), rstan (>=
-        2.19.1), rstantools (>= 2.0.0), shinystan (>= 2.3.0), stats,
-        survival (>= 2.40.1), utils
+        2.21.1), rstantools (>= 2.1.0), shinystan (>= 2.3.0), stats,
+        survival (>= 2.40.1), RcppParallel (>= 5.0.1), utils
 Suggests: betareg, data.table (>= 1.10.0), digest, gridExtra, HSAUR3,
         knitr (>= 1.15.1), MASS, mgcv (>= 1.8-13), rmarkdown, roxygen2,
-        testthat (>= 1.0.2)
-LinkingTo: StanHeaders (>= 2.19.0), rstan (>= 2.19.1), BH (>= 1.66.0),
-        Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0)
+        StanHeaders (>= 2.21.0), testthat (>= 1.0.2)
+LinkingTo: StanHeaders (>= 2.21.0), rstan (>= 2.21.1), BH (>=
+        1.72.0-2), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
+        RcppParallel (>= 5.0.1)
 SystemRequirements: GNU make, pandoc (>= 1.12.3), pandoc-citeproc
 VignetteBuilder: knitr
 LazyData: true
 NeedsCompilation: yes
 URL: https://mc-stan.org/rstanarm/, https://discourse.mc-stan.org
 BugReports: https://github.com/stan-dev/rstanarm/issues
-RoxygenNote: 6.1.1
-Packaged: 2019-10-01 20:20:33 UTC; ben
+RoxygenNote: 7.1.1
+Packaged: 2020-07-20 04:08:35 UTC; ben
 Author: Jonah Gabry [aut],
   Imad Ali [ctb],
   Sam Brilleman [ctb],
@@ -66,4 +67,4 @@
   Ben Goodrich [cre, aut]
 Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
 Repository: CRAN
-Date/Publication: 2019-10-03 18:00:02 UTC
+Date/Publication: 2020-07-20 18:20:03 UTC

=== debian/changelog ===
r-cran-rstanarm (2.21.1-1) unstable; urgency=high

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Versioned Build-Depends: r-cran-rcppparallel (>= 5.0.2+dfsg-3)
    Closes: #963392

  [ Shayan Doust ]
  * RcppParallel shared object is under libs/ not lib/
  * Patch src/Makevars to point to correct RcppParallel path
  * Add r-cran-hsaur3 as a test dependency to rectify test fault
  * Reintroduce .Platform$r_arch within test_stan_functions.R
  * Build-Depends: r-cran-rstan (>= 2.21.2-3)

 -- Shayan Doust <hello@shayandoust.me>  Mon, 08 Feb 2021 19:42:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-cran-rstanarm
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.12.0),
@@ -15,12 +14,12 @@
                r-cran-loo (>= 2.1.0),
                r-cran-matrix (>= 1.2-13),
                r-cran-nlme,
-               r-cran-rstan (>= 2.19.1),
-               r-cran-rstantools (>= 2.0.0),
+               r-cran-rstan (>= 2.21.2-3),
+               r-cran-rstantools (>= 2.1.0),
                r-cran-shinystan,
                r-cran-survival (>= 2.40.1),
-               r-cran-rcppparallel,
-               r-cran-stanheaders (>= 2.19.0),
+               r-cran-rcppparallel (>= 5.0.2+dfsg-3),
+               r-cran-stanheaders (>= 2.21.0),
                r-cran-bh,
                r-cran-rcppeigen (>= 0.3.3.3.0)
 Standards-Version: 4.5.0

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-stanheaders (>= 2.18.1-10-2), r-cran-bh, r-cran-hsaur3, r-cran-codetools, r-base-dev
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/rstanarm_([-\d.]*)\.tar\.gz

## r-cran-rstanarm 2.21.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rstanarm
 Type: Package
 Title: Bayesian Applied Regression Modeling via Stan
-Version: 2.21.1
-Date: 2020-07-20
+Version: 2.21.3
+Date: 2022-04-08
 Encoding: UTF-8
 Authors@R: c(person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = "aut"),
              person("Imad", "Ali", role = "ctb"),
@@ -35,20 +35,21 @@
         (>= 2.1.0), Matrix (>= 1.2-13), nlme (>= 3.1-124), rstan (>=
         2.21.1), rstantools (>= 2.1.0), shinystan (>= 2.3.0), stats,
         survival (>= 2.40.1), RcppParallel (>= 5.0.1), utils
-Suggests: betareg, data.table (>= 1.10.0), digest, gridExtra, HSAUR3,
-        knitr (>= 1.15.1), MASS, mgcv (>= 1.8-13), rmarkdown, roxygen2,
-        StanHeaders (>= 2.21.0), testthat (>= 1.0.2)
+Suggests: biglm, betareg, data.table (>= 1.10.0), digest, gridExtra,
+        HSAUR3, knitr (>= 1.15.1), MASS, mgcv (>= 1.8-13), rmarkdown,
+        roxygen2, StanHeaders (>= 2.21.0), testthat (>= 1.0.2)
 LinkingTo: StanHeaders (>= 2.21.0), rstan (>= 2.21.1), BH (>=
         1.72.0-2), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
         RcppParallel (>= 5.0.1)
 SystemRequirements: GNU make, pandoc (>= 1.12.3), pandoc-citeproc
 VignetteBuilder: knitr
 LazyData: true
+UseLTO: true
 NeedsCompilation: yes
 URL: https://mc-stan.org/rstanarm/, https://discourse.mc-stan.org
 BugReports: https://github.com/stan-dev/rstanarm/issues
-RoxygenNote: 7.1.1
-Packaged: 2020-07-20 04:08:35 UTC; ben
+RoxygenNote: 7.1.2
+Packaged: 2022-04-08 19:43:49 UTC; ben
 Author: Jonah Gabry [aut],
   Imad Ali [ctb],
   Sam Brilleman [ctb],
@@ -67,4 +68,4 @@
   Ben Goodrich [cre, aut]
 Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
 Repository: CRAN
-Date/Publication: 2020-07-20 18:20:03 UTC
+Date/Publication: 2022-04-09 00:10:02 UTC

=== debian/changelog ===
r-cran-rstanarm (2.21.3-2) unstable; urgency=medium

  * Team Uploaded.
  * Rebuild with updated rstan (Closes: #1011222)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 Sep 2022 13:44:51 +0530

r-cran-rstanarm (2.21.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 24 May 2022 11:24:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,22 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.12.0),
+               r-cran-rcpp,
                r-cran-bayesplot (>= 1.7.0),
-               r-cran-ggplot2 (>= 2.2.1),
+               r-cran-ggplot2,
                r-cran-lme4,
                r-cran-loo (>= 2.1.0),
-               r-cran-matrix (>= 1.2-13),
+               r-cran-matrix,
                r-cran-nlme,
-               r-cran-rstan (>= 2.21.2-3),
+               r-cran-rstan (>= 2.21.5-2~),
                r-cran-rstantools (>= 2.1.0),
                r-cran-shinystan,
-               r-cran-survival (>= 2.40.1),
-               r-cran-rcppparallel (>= 5.0.2+dfsg-3),
+               r-cran-survival,
+               r-cran-rcppparallel (>= 5.1.5+dfsg-3~),
                r-cran-stanheaders (>= 2.21.0),
-               r-cran-bh,
-               r-cran-rcppeigen (>= 0.3.3.3.0)
-Standards-Version: 4.5.0
+               r-cran-bh (>= 1.72.0-2),
+               r-cran-rcppeigen
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstanarm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstanarm.git
 Homepage: https://cran.r-project.org/package=rstanarm

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-stanheaders (>= 2.21.0-7-2~), r-cran-bh, r-cran-hsaur3, r-cran-codetools, r-base-dev
Restrictions: allow-stderr

## r-cran-rstanarm 2.21.4

=== debian/changelog ===
r-cran-rstanarm (2.21.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 06:18:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,21 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-cran-bayesplot (>= 1.7.0),
+               r-cran-bayesplot,
                r-cran-ggplot2,
                r-cran-lme4,
-               r-cran-loo (>= 2.1.0),
+               r-cran-loo,
                r-cran-matrix,
                r-cran-nlme,
-               r-cran-rstan (>= 2.21.5-2~),
-               r-cran-rstantools (>= 2.1.0),
+               r-cran-rstan,
+               r-cran-rstantools,
                r-cran-shinystan,
                r-cran-survival,
-               r-cran-rcppparallel (>= 5.1.5+dfsg-3~),
-               r-cran-stanheaders (>= 2.21.0),
-               r-cran-bh (>= 1.72.0-2),
+               r-cran-rcppparallel,
+               r-cran-stanheaders,
+               r-cran-bh,
                r-cran-rcppeigen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstanarm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstanarm.git
 Homepage: https://cran.r-project.org/package=rstanarm

## r-cran-rstanarm 2.32.1

=== DESCRIPTION ===
Package: rstanarm
Type: Package
Title: Bayesian Applied Regression Modeling via Stan
Version: 2.32.1
Date: 2024-01-15
Encoding: UTF-8
Authors@R: c(person("Jonah", "Gabry", email = "jsg2201@columbia.edu", role = "aut"),
             person("Imad", "Ali", role = "ctb"),
             person("Sam", "Brilleman", role = "ctb"),
             person(given = "Jacqueline Buros", family = "Novik",
                    role = "ctb", comment = "R/stan_jm.R"),
             person("AstraZeneca", role = "ctb", comment = "R/stan_jm.R"),
             person("Trustees of", "Columbia University", role = "cph"),
             person("Simon", "Wood", role = "cph", comment = "R/stan_gamm4.R"),
             person("R Core", "Deveopment Team", role = "cph",
                     comment = "R/stan_aov.R"),
             person("Douglas", "Bates", role = "cph", comment = "R/pp_data.R"),
             person("Martin", "Maechler", role = "cph", comment = "R/pp_data.R"),
             person("Ben", "Bolker", role = "cph", comment = "R/pp_data.R"),
             person("Steve", "Walker", role = "cph", comment = "R/pp_data.R"),
             person("Brian", "Ripley", role = "cph",
                    comment = "R/stan_aov.R, R/stan_polr.R"),
             person("William", "Venables", role = "cph", comment = "R/stan_polr.R"),
             person("Paul-Christian", "Burkner", email = "paul.buerkner@gmail.com",
                    role = "cph", comment = "R/misc.R"),
             person("Ben", "Goodrich", email = "benjamin.goodrich@columbia.edu",
                    role = c("cre", "aut")))
Description: Estimates previously compiled regression models using the 'rstan'
    package, which provides the R interface to the Stan C++ library for Bayesian
    estimation. Users specify models via the customary R syntax with a formula and
    data.frame plus some additional arguments for priors.
License: GPL (>= 3)
Depends: R (>= 3.4.0), Rcpp (>= 0.12.0), methods
Imports: bayesplot (>= 1.7.0), ggplot2 (>= 2.2.1), lme4 (>= 1.1-8), loo
        (>= 2.1.0), Matrix (>= 1.2-13), nlme (>= 3.1-124), posterior,
        rstan (>= 2.32.0), rstantools (>= 2.1.0), shinystan (>= 2.3.0),
        stats, survival (>= 2.40.1), RcppParallel (>= 5.0.1), utils
Suggests: biglm, betareg, data.table (>= 1.10.0), digest, gridExtra,
        HSAUR3, knitr (>= 1.15.1), MASS, mgcv (>= 1.8-13), rmarkdown,
        roxygen2, StanHeaders (>= 2.21.0), testthat (>= 1.0.2), gamm4,
        shiny, V8
LinkingTo: StanHeaders (>= 2.32.0), rstan (>= 2.32.0), BH (>=
        1.72.0-2), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
        RcppParallel (>= 5.0.1)
SystemRequirements: GNU make, pandoc (>= 1.12.3), pandoc-citeproc
VignetteBuilder: knitr
LazyData: true
UseLTO: true
NeedsCompilation: yes
URL: https://mc-stan.org/rstanarm/, https://discourse.mc-stan.org
BugReports: https://github.com/stan-dev/rstanarm/issues
RoxygenNote: 7.2.3
Packaged: 2024-01-16 19:07:49 UTC; ben
Author: Jonah Gabry [aut],
  Imad Ali [ctb],
  Sam Brilleman [ctb],
  Jacqueline Buros Novik [ctb] (R/stan_jm.R),
  AstraZeneca [ctb] (R/stan_jm.R),
  Trustees of Columbia University [cph],
  Simon Wood [cph] (R/stan_gamm4.R),
  R Core Deveopment Team [cph] (R/stan_aov.R),
  Douglas Bates [cph] (R/pp_data.R),
  Martin Maechler [cph] (R/pp_data.R),
  Ben Bolker [cph] (R/pp_data.R),
  Steve Walker [cph] (R/pp_data.R),
  Brian Ripley [cph] (R/stan_aov.R, R/stan_polr.R),
  William Venables [cph] (R/stan_polr.R),
  Paul-Christian Burkner [cph] (R/misc.R),
  Ben Goodrich [cre, aut]
Maintainer: Ben Goodrich <benjamin.goodrich@columbia.edu>
Repository: CRAN
Date/Publication: 2024-01-18 23:00:03 UTC

=== debian/changelog ===
r-cran-rstanarm (2.32.1-2) unstable; urgency=medium

  * Build-Depends: r-cran-v8 (See 
    https://github.com/stan-dev/rstanarm/issues/619#issuecomment-2048300103)
    Closes: #1065339

 -- Andreas Tille <tille@debian.org>  Thu, 11 Apr 2024 07:24:45 +0200

r-cran-rstanarm (2.32.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Feb 2024 18:16:58 +0100

r-cran-rstanarm (2.26.1-2) unstable; urgency=medium

  * Follow suggestion of test suite
     parser failed badly; maybe try installing the V8 package
    -> Test-Depends: r-cran-v8
  * Run autopkgtest under xvfb-run

 -- Andreas Tille <tille@debian.org>  Fri, 24 Nov 2023 21:44:24 +0100

r-cran-rstanarm (2.26.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Lintian-overrides for custom-library-search-path
  * Fix clean target
    Closes: #1048873

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 18:32:23 +0200

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,17 @@
                r-cran-loo,
                r-cran-matrix,
                r-cran-nlme,
-               r-cran-rstan,
+               r-cran-posterior,
+               r-cran-rstan (>= 2.32.0),
                r-cran-rstantools,
                r-cran-shinystan,
                r-cran-survival,
                r-cran-rcppparallel,
-               r-cran-stanheaders,
+               r-cran-stanheaders (>= 2.32.0),
                r-cran-bh,
-               r-cran-rcppeigen
+               r-cran-rcppeigen,
+# <dh-update-R>do not delete this - it is fixing bug #1065339</dh-update-R>
+               r-cran-v8
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstanarm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstanarm.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_clean:
	find src -name "*.hpp" -delete
	dh_clean

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-data.table (>= 1.10.0),
        r-cran-digest,
        r-cran-gridextra,
        r-cran-hsaur3,
        r-cran-knitr (>= 1.15.1),
        r-cran-mass,
        r-cran-mgcv (>= 1.8-13),
        r-cran-rmarkdown,
        r-cran-roxygen2,
        r-cran-testthat (>= 1.0.2),
        r-cran-gamm4,
        r-cran-shiny,
        r-cran-v8,
        xvfb,
        xauth,
        xfonts-base,
        xterm
Restrictions: allow-stderr

## r-cran-rstanarm 2.32.2

=== debian/changelog ===
r-cran-rstanarm (2.32.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 24 Feb 2026 09:54:00 +0900

=== debian/control ===
Source: r-cran-rstanarm
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-rcpp,
 r-cran-bayesplot,
 r-cran-ggplot2,
 r-cran-lme4,
 r-cran-loo,
 r-cran-matrix,
 r-cran-nlme,
 r-cran-posterior,
 r-cran-rstan (>= 2.32.0),
 r-cran-rstantools,
 r-cran-shinystan,
 r-cran-survival,
 r-cran-rcppparallel,
 r-cran-reformulas,
 r-cran-stanheaders (>= 2.32.0),
 r-cran-bh,
 r-cran-rcppeigen,
 r-cran-v8,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstanarm
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstanarm.git
Homepage: https://cran.r-project.org/package=rstanarm
Rules-Requires-Root: no

Package: r-cran-rstanarm
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R bayesian applied regression modeling via stan
 Estimates previously compiled regression models using the 'rstan'
 package, which provides the R interface to the Stan C++ library for Bayesian
 estimation. Users specify models via the customary R syntax with a formula and
 data.frame plus some additional arguments for priors.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-data.table (>= 1.10.0),
 r-cran-digest,
 r-cran-gridextra,
 r-cran-hsaur3,
 r-cran-knitr (>= 1.15.1),
 r-cran-mass,
 r-cran-mgcv (>= 1.8-13),
 r-cran-rmarkdown,
 r-cran-roxygen2,
 r-cran-stanheaders (>= 2.21.0),
 r-cran-testthat (>= 1.0.2),
 r-cran-gamm4,
 r-cran-shiny,
 r-cran-v8,
 xvfb,
 xauth,
 xfonts-base,
 xterm,
